Page MenuHomePhabricator

Cannot read property '2' of undefined
Closed, ResolvedPublic

Description

From eswiki/Anexo:Futbolistas_del_Fútbol_Club_Barcelona/105024807

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.01.19/parsoid?id=AWEQIgmpqJPajYV1-6Er&_g=()

TypeError: Cannot read property '2' of undefined
    at /srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/pp/processors/linter.js:555:11
    at findLintDSR (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/pp/processors/linter.js:143:26)
    at logDeletableTables (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/pp/processors/linter.js:550:14)
    at logWikitextFixups (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/pp/processors/linter.js:850:2)
    at findLints (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/pp/processors/linter.js:906:15)
    at findLints (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/pp/processors/linter.js:913:5)
    at findLints (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/pp/processors/linter.js:913:5)
    at Object.linter [as proc] (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/pp/processors/linter.js:936:2)
    at DOMPostProcessor.<anonymous> (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/DOMPostProcessor.js:528:13)
    at next (native)
    at tryCatchNext (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/node_modules/prfun/lib/index.js:786:28)
    at continuer (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/node_modules/prfun/lib/index.js:803:24)
    at callback (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/node_modules/prfun/lib/index.js:815:43)
    at tryCatch1 (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/node_modules/babybird/lib/promise.js:40:12)
    at promiseReactionJob (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/node_modules/babybird/lib/promise.js:269:19)
    at PromiseReactionJobTask.call (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/node_modules/babybird/lib/promise.js:284:3)
    at flush (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/node_modules/asap/raw.js:50:29)

Event Timeline

Arlolra created this task.Jan 19 2018, 8:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2018, 8:39 PM
Arlolra triaged this task as Normal priority.Jan 19 2018, 8:40 PM
Arlolra claimed this task.Jan 23 2018, 12:15 AM
Arlolra raised the priority of this task from Normal to High.

Change 406049 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Stop clearing tplInfo if don't find a table for fostered content

https://gerrit.wikimedia.org/r/406049

Change 406049 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Stop clearing tplInfo if don't find a table for fostered content

https://gerrit.wikimedia.org/r/406049

Arlolra closed this task as Resolved.Jan 24 2018, 9:43 PM